# Update a specific DeviceOperation for a specific Operation

Endpoint: PUT /v0/operations/{operationsId}/devices/{deviceId}/
Version: 1.0.0
Security: apiKey

## Path parameters:

  - `operationsId` (string, required)
    ID of the Operation
    Example: "0aae03d2-32b4-4cab-b733-6919b84bb2ac"

  - `deviceId` (string, required)
    ID of the Device
    Example: "550e8400-e29b-41d4-a716-446655440000"

## Request fields (application/json):

  - `operation_type` (string)
    Example: "CONVERGE"

  - `state` (string)
    Example: "SUCCESS"

  - `service_id` (string)
    Example: "drift-service"

  - `reason` (string)
    Example: "test"

## Response 200 fields (application/json):

  - `content` (object)

  - `content.id` (string)

  - `content.operation_id` (string)

  - `content.device_id` (string)

  - `content.state` (string)
    Enum: "CREATED", "INITIATED", "SUCCEDED", "FAILED"

  - `content.reason` (string)

  - `content.created_at` (string)

  - `content.updated_at` (string)

  - `content.device_operation_activity` (array)

  - `content.device_operation_activity.device_operation_state` (string)
    The state of the device operation (e.g., queued, processing).
    Example: "CREATED"

  - `content.device_operation_activity.created_at` (string)
    The start time of the device operation state.

## Response 400 fields (application/json):

  - `code` (integer, required)

  - `message` (string, required)

  - `content` (object)

## Response 401 fields (application/json):

  - `code` (integer, required)

  - `message` (string, required)

  - `content` (object)

## Response 404 fields (application/json):

  - `code` (integer, required)

  - `message` (string, required)

  - `content` (object)

## Response 500 fields (application/json):

  - `code` (integer, required)

  - `message` (string, required)

  - `content` (object)


